%global pypi_name sqlmodel

Name:           python-%{pypi_name}
Summary:        Library for interacting with SQL databases
Version:        0.0.22
Release:        1%{?dist}
License:        MIT
Source:         %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
SQLModel is a library for interacting with SQL databases from Python code,
with Python objects. It is designed to be intuitive, easy to use,
highly compatible, and robust.}

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-%{pypi_name} %{_description}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sqlmodel

%changelog
* Tue Nov 05 2024 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.0.22-1
- Initial package
